package com.ruoyi.quotation.mapper;

import com.ruoyi.quotation.domain.TSeapriceitem;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2021-06-01
 */
public interface TSeapriceitemMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param fId 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public TSeapriceitem selectTSeapriceitemById(Long fId);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tSeapriceitem 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TSeapriceitem> selectTSeapriceitemList(TSeapriceitem tSeapriceitem);

    public List<TSeapriceitem> selectTSeapriceitemListApp(TSeapriceitem tSeapriceitem);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tSeapriceitem 【请填写功能名称】
     * @return 结果
     */
    public int insertTSeapriceitem(TSeapriceitem tSeapriceitem);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tSeapriceitem 【请填写功能名称】
     * @return 结果
     */
    public int updateTSeapriceitem(TSeapriceitem tSeapriceitem);

    /**
     * 删除【请填写功能名称】
     * 
     * @param fId 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTSeapriceitemById(Long fId);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSeapriceitemByIds(Long[] fIds);

    /**
     *  根据父id删除对应明细数据
     * @param fPid  父id
     * @return  结果
     */
    public int deleteTSeapriceitemByfPid(Long fPid);
}
